﻿using GameStore.Services.GameStock;
using GameStore.Services.RandomId;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace GameStore.Services.Configuration
{
    public static class IServiceCollectionExtensions
    {
        public static IServiceCollection AddRandomIdService(this IServiceCollection serviceCollection, IConfiguration storeOptionsConfiguration)
        {
            return serviceCollection
                ?.Configure<StoreOptions>(storeOptionsConfiguration)
                ?.AddSingleton<IRandomIdService, RandomIdService>();
        }

        public static IServiceCollection AddGameStockService(this IServiceCollection serviceCollection)
        {
            return serviceCollection?.AddScoped<IGameStockService, GameStockService>();
        }
    }
}
